%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-native
Version:          4.1.0
Release:          3%{?dist}
Summary:          JBossWS Native
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws

# svn export http://anonsvn.jboss.org/repos/jbossws/stack/native/tags/jbossws-native-4.1.0.Final/ jbossws-native-4.1.0.Final
# tar cafJ jbossws-native-4.1.0.Final.tar.xz jbossws-native-4.1.0.Final
Source0:          jbossws-native-%{namedversion}.tar.xz

Patch0:           0001-xerces-2.11-support.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    jboss-ejb-3.1-api
BuildRequires:    jboss-jaxrpc-1.1-api
BuildRequires:    jboss-saaj-1.3-api
BuildRequires:    jboss-jaxb-2.2-api
BuildRequires:    jboss-common-core
BuildRequires:    jbossws-parent
BuildRequires:    jbossws-api
BuildRequires:    jbossws-spi
BuildRequires:    jbossws-common
BuildRequires:    jbossws-common-tools
BuildRequires:    jbossws-cxf
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    javassist
BuildRequires:    netty
BuildRequires:    wsdl4j
BuildRequires:    xerces-j2
BuildRequires:    jbossxb
BuildRequires:    junit

Requires:         jpackage-utils
Requires:         java
Requires:         jboss-servlet-3.0-api
Requires:         jboss-ejb-3.1-api
Requires:         jboss-jaxrpc-1.1-api
Requires:         jboss-saaj-1.3-api
Requires:         jboss-jaxb-2.2-api
Requires:         jboss-common-core
Requires:         jbossws-api
Requires:         jbossws-spi
Requires:         jbossws-common
Requires:         jbossws-common-tools
Requires:         jbossws-cxf
Requires:         jboss-logging
Requires:         jboss-logging-tools
Requires:         javassist
Requires:         netty
Requires:         wsdl4j
Requires:         xerces-j2
Requires:         jbossxb

%description
JBoss WS Native classes.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-native-%{namedversion}

%patch0 -p1

%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-compiler-plugin']/pom:configuration/pom:compilerArguments" modules/core/pom.xml
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-compiler-plugin']/pom:configuration" '<compilerArgument>%{nil}-AgeneratedTranslationFilesPath=${project.basedir}/target/generated-translation-files %{nil}-endorseddirs ${project.build.directory}</compilerArgument>' modules/core/pom.xml

%build
mvn-rpmbuild \
  -Dno-testsuite \
  -Dproject.build.sourceEncoding=UTF-8 \
  package javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 modules/core/target/jbossws-native-core-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core.jar
install -pm 644 modules/services/target/jbossws-native-services-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-services.jar
install -pm 644 modules/resources/target/jbossws-native-resources-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-resources.jar
install -pm 644 modules/resources/target/jbossws-native-resources-%{namedversion}-jboss720.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-resources-jboss720.jar
install -pm 644 modules/resources/target/jbossws-native-resources-%{namedversion}-jboss712.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-resources-jboss712.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
install -pm 644 modules/core/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-core.pom
install -pm 644 modules/services/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-services.pom
install -pm 644 modules/resources/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-resources.pom

# DEPMAP
%add_maven_depmap JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}-core.pom %{name}/%{name}-core.jar
%add_maven_depmap JPP.%{name}-%{name}-services.pom %{name}/%{name}-services.jar
%add_maven_depmap JPP.%{name}-%{name}-resources.pom %{name}/%{name}-resources.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Tue Nov 27 2012 Marek Goldmann <mgoldman@redhat.com> - 4.1.0-3
- Added missing BR

* Mon Nov 26 2012 Marek Goldmann <mgoldman@redhat.com> - 4.1.0-2
- Fixed typo in requires

* Thu Nov 22 2012 Marek Goldmann <mgoldman@redhat.com> - 4.1.0-1
- Initial packaging

